{% macro button(label = "Default button", icon = "", class = "") %}
<button class="button {{ class }}" type="button">
	{% if icon %}
	<svg class="icon {{ icon }}"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#{{ icon }}"></use></svg>
	{% endif %}
	<span class="button--label">{{ label }}</span>
</button>
{% endmacro %}

{% macro icobutton(label = "Default button", icon = "", class = "") %}
<button class="button {{ class }}" type="button">
	{% if icon %}
	<svg class="icon {{ icon }}"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#{{ icon }}"></use></svg>
	{% endif %}
	<span class="button--label sr-only">{{ label }}</span>
</button>
{% endmacro %}

{% macro buttonLink(label = "Default link", icon = "", class = "", href = "#") %}
<a class="button {{ class }}" href="{{ href }}">
	{% if icon %}
	<svg class="icon {{ icon }}"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#{{ icon }}"></use></svg>
	{% endif %}
	<span class="button--label">{{ label }}</span>
</a>
{% endmacro %}